import {
	type ICryptoInUserWalletInfo,
	type ICryptoInWalletInfo,
	IUserWalletCryptos,
} from "@/interfaces/crypto.interface";

export interface IUserData {
	id: string;
	firstName: string;
	lastName: string;
	pseudo: string;
	email: string;
	roleId: string;
	isActive: boolean;
	city: string;
	dollarAvailables: number;
	age: number;
	created_at: string;
	updated_at: string;
	//TODO get on register
	wallet: IUserWallet;
}

export interface IUserWallet {
	uat: number;
	update_interval: number;
	owned_cryptos: ICryptoInUserWalletInfo[];
}
